Skip to main content
O&M Management/Tag Management APIs
POSTTag Management APIsSince 3.2.0SynchronousAuth Required

Create Tag

Create Tag

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      Resource name

    • valueStringRequired

      Tag value

    • descriptionString

      Detailed description of the resource

    • colorString

      Tag color

    • typeString

      Tag type

    • resourceUuidString

      资源UUID。若指定,资源会使用该字段值作为UUID。

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

POST/zstack/v1/tags

/zstack/v1/tags

Operation ID

CreateTag

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/tags' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","value":"<value>","description":"<description>","color":"<color>","type":"<type>","resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history